Bug 89444 - g++ gives segmentation fault during compilation
g++ gives segmentation fault during compilation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-22 18:17 EDT by Naum Derzhi
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 18:14:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C++ file after preprocessing. (415.29 KB, text/plain)
2003-04-22 18:20 EDT, Naum Derzhi
no flags Details
test case updated for gcc 3.2 (51.28 KB, application/x-gzip)
2004-10-03 18:06 EDT, Richard Henderson
no flags Details

  None (edit)
Description Naum Derzhi 2003-04-22 18:17:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-5smp i686)

Description of problem:
g++ gives segmentation fault during compilation

Version-Release number of selected component (if applicable):
2.96

How reproducible:
Always

Steps to Reproduce:
1.g++ -g -O0 -c -o rsisubsetbox.o rsisubsetbox.cc
2.
3.
    

Actual Results:  /users/nderzhi/alpha/source/include/rsiversion.h: In method
`void RSIVersion<_Vc>::RSIVersion () [with
_Vc = RSISubsetBox::fileVersionCode]':
/users/nderzhi/alpha/source/include/rsinamedlist.h:461:   instantiated from here
/users/nderzhi/alpha/source/include/rsiversion.h:21: Internal error:
Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  An object file should be created. This code compiles and runs
on other platforms (forte6, SunWS4.2, IRIX64 6.5)

Additional info:

I'll try to attach the rsisubsetbox.cc file ater preprocessing.
Comment 1 Naum Derzhi 2003-04-22 18:20:38 EDT
Created attachment 91232 [details]
C++ file after preprocessing.
Comment 2 Richard Henderson 2004-10-03 18:06:26 EDT
Created attachment 104689 [details]
test case updated for gcc 3.2

Rename uses of __thread.  Adjust using directives.
Compile with "g++ -g -O0 -c z.i -w" to suppress implicit typename warnings.
Comment 3 Richard Henderson 2004-10-03 18:14:31 EDT
ICE persists through gcc 3.3.  With gcc 3.4, we no longer ICE, but the
implicit typename warnings are now hard errors so be forewarned.

Note You need to log in before you can comment on or make changes to this bug.